Package com.sun.jna.platform.win32

## Class WinNT.ACE_HEADER

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.ACE_HEADER

Direct Known Subclasses:
  `WinNT.ACCESS_ACEStructure`

Enclosing interface:
  WinNT

    @FieldOrder({"AceType","AceFlags","AceSize"})
    public static class WinNT.ACE_HEADER
    extends Structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`byte` `AceFlags`
`short` `AceSize`
`byte` `AceType`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`ACE_HEADER()`
`ACE_HEADER​(byte AceType, byte AceFlags, short AceSize)`
`ACE_HEADER​(Pointer p)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### AceType

    public byte AceType

#### AceFlags

    public byte AceFlags

#### AceSize

    public short AceSize

### Constructor Detail

#### ACE_HEADER

    public ACE_HEADER()

#### ACE_HEADER

    public ACE_HEADER​(Pointer p)

#### ACE_HEADER

    public ACE_HEADER​(byte AceType,
                      byte AceFlags,
                      short AceSize)